summaryrefslogtreecommitdiffstats
path: root/third_party/rust/prost/publish-release.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 09:22:09 +0000
commit43a97878ce14b72f0981164f87f2e35e14151312 (patch)
tree620249daf56c0258faa40cbdcf9cfba06de2a846 /third_party/rust/prost/publish-release.sh
parentInitial commit. (diff)
downloadfirefox-43a97878ce14b72f0981164f87f2e35e14151312.tar.xz
firefox-43a97878ce14b72f0981164f87f2e35e14151312.zip
Adding upstream version 110.0.1.upstream/110.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/prost/publish-release.sh')
-rwxr-xr-xthird_party/rust/prost/publish-release.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/third_party/rust/prost/publish-release.sh b/third_party/rust/prost/publish-release.sh
new file mode 100755
index 0000000000..b2be598298
--- /dev/null
+++ b/third_party/rust/prost/publish-release.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Script which automates publishing a crates.io release of the prost crates.
+
+set -ex
+
+if [ "$#" -ne 0 ]
+then
+ echo "Usage: $0"
+ exit 1
+fi
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+
+CRATES=( \
+ "prost-derive" \
+ "." \
+ "prost-types" \
+ "prost-build" \
+)
+
+for CRATE in "${CRATES[@]}"; do
+ pushd "$DIR/$CRATE"
+ cargo publish
+ popd
+done